Bug 180733 - [NEW PORT] devel/rubygem-mixlib-shellout: Shell interface that also collects stdout and stderr
Summary: [NEW PORT] devel/rubygem-mixlib-shellout: Shell interface that also collects ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-22 10:30 UTC by renchap
Modified: 2013-07-27 15:10 UTC (History)
0 users

See Also:


Attachments
.shar (1.76 KB, text/plain)
2013-07-22 10:30 UTC, renchap
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description renchap 2013-07-22 10:30:00 UTC
Mixlib::shellout provides a simplified interface to shelling out
yet still collecting both standard out and standard error 
and providing full control over environment, working directory, 
uid, gid, etc.

WWW: http://www.opscode.com

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-22 10:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2013-07-22 20:20:45 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 3 Steve Wills freebsd_committer 2013-07-22 20:46:43 UTC
Hi,

There is already a port for this rubygem, so this is an update. Unfortunately,
GNATS didn't notice and send an approval request. Nick, could you approve this?

In the future, please try to send updates as patches (and not tagged as new port).

Thanks,
Steve

PS. Renaud, I have sent some PRs that require your approval, if you could
approve them I would really appreciate it. The PRs are 180537 and 180732. Also,
there were a number that were sent that didn't get approval, perhaps you are
not getting the approval request mail from GNATS or it's getting caught in spam
blocking?
Comment 4 nickdewing 2013-07-25 04:14:12 UTC
On 7/22/2013 12:46 PM, Steve Wills wrote:
> Hi,
>
> There is already a port for this rubygem, so this is an update. Unfortunately,
> GNATS didn't notice and send an approval request. Nick, could you approve this?
>
> In the future, please try to send updates as patches (and not tagged as new port).
>
> Thanks,
> Steve
>
> PS. Renaud, I have sent some PRs that require your approval, if you could
> approve them I would really appreciate it. The PRs are 180537 and 180732. Also,
> there were a number that were sent that didn't get approval, perhaps you are
> not getting the approval request mail from GNATS or it's getting caught in spam
> blocking?
>

I don't see any issues with the update, approved.

Sorry for the late reply.

-- 
Nick Dewing
Comment 5 Steve Wills freebsd_committer 2013-07-27 15:06:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-07-27 15:06:21 UTC
Author: swills
Date: Sat Jul 27 14:06:13 2013
New Revision: 323788
URL: http://svnweb.freebsd.org/changeset/ports/323788

Log:
  - Update to 1.2.0
  
  PR:		ports/180733
  Submitted by:	Renaud Chaput <renchap@cocoa-x.com>
  Approved by:	Nick Dewing <nickdewing@gmail.com> (maintainer)

Modified:
  head/devel/rubygem-mixlib-shellout/Makefile
  head/devel/rubygem-mixlib-shellout/distinfo   (contents, props changed)

Modified: head/devel/rubygem-mixlib-shellout/Makefile
==============================================================================
--- head/devel/rubygem-mixlib-shellout/Makefile	Sat Jul 27 13:49:49 2013	(r323787)
+++ head/devel/rubygem-mixlib-shellout/Makefile	Sat Jul 27 14:06:13 2013	(r323788)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mixlib-shellout
-PORTVERSION=	1.1.0
+PORTVERSION=	1.2.0
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG
 

Modified: head/devel/rubygem-mixlib-shellout/distinfo
==============================================================================
--- head/devel/rubygem-mixlib-shellout/distinfo	Sat Jul 27 13:49:49 2013	(r323787)
+++ head/devel/rubygem-mixlib-shellout/distinfo	Sat Jul 27 14:06:13 2013	(r323788)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/mixlib-shellout-1.1.0.gem) = 187ee2ee184b7eb0cc3795cb6d7f3a3307697378c86cf779e08b6190319ff462
-SIZE (rubygem/mixlib-shellout-1.1.0.gem) = 19456
+SHA256 (rubygem/mixlib-shellout-1.2.0.gem) = b1b6f284da8e916bdcc2c620cb11f0ea2411f3dfd7af499b948a8e0ade8f41ca
+SIZE (rubygem/mixlib-shellout-1.2.0.gem) = 19968
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"